association/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views

urlpatterns = [
    path('', views.index, name='page_accueil'),
    path('contact', views.contact, name='page_contact'),

    path('pdg/', include('authentification.urls')),
    path('core/', include('core.urls')),

    path('admin/', admin.site.urls),
]

authentification/urls.py
from django.urls import path
from . import views

app_name = 'pdg'
urlpatterns = [
    path('authentification/', views.registration, name='page_inscription'),

    # Route pour authentification
    path('login/', views.login_pdg, name='login'),
    path('registration/', views.registration_pdg, name='registration'),
    path('logout/', views.logout_pdg, name='logout'),
]

core/urls.py
from django.urls import path
from . import views

app_name = 'core'
urlpatterns = [

     # Route des pages autorisées aux utilisateurs connectés
     path('tableau-de-bord/', views.dashbord_pdg, name='page_dashbord'),
     path('mon-profil/', views.profile_pdg, name='page_profile'),
     path('creation-de-groupe/', views.create_group_pdg, name='page_new_group'),
     path('rejoindre-un-groupe/', views.join_group_pdg, name='page_join_group'),
     path('mes-groupes/', views.groups_pdg, name='page_groups'),
     path('mon-groupe/<str:code>/detail/',
          views.group_detail_pdg, name='page_detail_group'),
     path('mes-messages/', views.messages_pdg, name='page_messages'),
     path('validation-en-attente/',
          views.atendance_validation_pdg, name='page_validation'),
     path('validation-en-attente/<str:id>/validate/', views.groupe_validation, name='page_validate'),
     path('configuration/', views.settings_pdg, name='page_settings'),
]

authentification/models.py
from django.db import models

# Create your models here.

authentification/forms.py
from django import forms
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm


class UserForm(UserCreationForm):
    username = forms.CharField(widget=forms.TextInput(
        attrs={'class': 'form-control', 'placeholder': 'Nom utilisateur', 'max_length': 50, 'required': 'required'}))

    email = forms.EmailField(widget=forms.TextInput(
        attrs={'class': 'form-control', 'placeholder': 'Email', 'max_length': 50, 'required': 'required'}))

    last_name = forms.CharField(widget=forms.TextInput(
        attrs={'class': 'form-control', 'placeholder': 'Nom', 'max_length': 50, 'required': 'required'}))

    first_name = forms.CharField(widget=forms.TextInput(
        attrs={'class': 'form-control', 'placeholder': 'Prenom', 'max_length': 50, 'required': 'required'}))

    password1 = forms.CharField(widget=forms.PasswordInput(
        attrs={'class': 'form-control', 'placeholder': 'Mot de passe', 'max_length': 50, 'required': 'required'}))

    password2 = forms.CharField(widget=forms.PasswordInput(
        attrs={'class': 'form-control', 'placeholder': 'Mot de passe', 'max_length': 50, 'required': 'required'}))

    class Meta:
        model = User
        fields = ("username", "email", "first_name",
                  "last_name", "password1", "password2",)

authentification/views.py
#!/usr/bin/env python
# -*- coding: utf-8 -*-*
from django.shortcuts import render, redirect
from django.http import HttpResponse, HttpResponseRedirect
from django.contrib.auth.models import User
from .forms import UserForm

from django.contrib import messages

# requis pour la connexion
# Decorateurs
from django.contrib.auth.decorators import login_required
from django.urls import reverse
# Login
from django.contrib.auth import login, authenticate, logout

# Create your views here.


def registration(request):
    form = UserForm()
    data = {
        'page': {
            'title': 'Authentification',
            'title_desc': 'Akwaba',
        },
        'form': form,
    }
    return render(request, 'registration.html', data)

# Fonction de registration login - logout
# Registration


def registration_pdg(request):
    if request.method == 'POST':
        form = UserForm(request.POST)
        if form.is_valid():
            form.save()
            # Connexion
            username = form.cleaned_data['username']
            password = form.cleaned_data['password1']
            user = authenticate(username=username, password=password)
            login(request, user)
            # Message
            messages.success(
                request, 'Votre compte a été crée sur Association')

            return redirect('core:page_dashbord')
        

    else:
        form = UserForm()

    return render(request, 'registration.html', {'form': form})


# Login
def login_pdg(request):
    data = {}
    if request.method == 'POST':
        # Recuperation des donnees postees
        credential = request.POST.get('credential')
        password = request.POST.get('password')
        # Authentification
        user = authenticate(username=credential, password=password)
        if user:
            if user.is_active:
                login(request, user)
                messages.success(request, "Connexion reussie!")
                return redirect('core:page_dashbord')
            else:
                messages.warning(
                request, 'Compte Inactif')
        else:
            messages.warning(
                request, 'Nom utilisateur ou mot de passe invalide')

    return render(request, 'registration.html', data)


# Logout
@login_required(login_url="pdg:page_inscription")
def logout_pdg(request):
    logout(request)
    return HttpResponseRedirect(reverse("pdg:page_inscription"))

authentification/templates/registration.html
{% extends 'base/base.html' %}

{% block content %} 

<section id="login-register" class="p_b70 p_t70">

    <div role="tabpanel" class="tab-pane fade in active" id="login">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    {% include 'core/info-message.html'  %}
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="login-register-bg">                       
                        <div class="row">

                            <div class="col-md-6">
                                <div class="heading">
                                    <h2>Connectez-vous</h2>
                                </div>

                                <form class="registerd" method="post" action="{% url 'pdg:login' %}">
                                    {% csrf_token %}
                                    <div class="form-group">
                                        <input type="text" class="form-control" name="credential" placeholder="Nom utilisateur" require>
                                    </div>
                                    <div class="form-group">
                                        <input type="password" class="form-control" name="password" placeholder="Mot de passe" require>
                                    </div>

                                    <div class="form-group">
                                        <button type="submit">Connexion</button>
                                    </div>
                                    <div class="form-group">
                                        <a href="#">Mot de passe oublié</a>
                                    </div>
                                </form>
                            </div>

                            <div class="col-md-6">
                                <div class="heading">
                                    <h2>Créer un <span>compte</span></h2>
                                </div>

                                <form class="registerd" method="post" action="{% url 'pdg:registration' %}">
                                    {% csrf_token %}
                                    <div class="form-group">
                                        {{ form.username }}
                                    </div>
                                    <div class="form-group">
                                    {{ form.last_name }}
                                    </div>
                                    <div class="form-group">
                                    {{ form.first_name }}
                                    </div>
                                    <div class="form-group">
                                    {{ form.email }}
                                    </div>
                                    <div class="form-group">
                                    {{ form.password1 }}
                                    </div>
                                    <div class="form-group">
                                    {{ form.password2 }}
                                    </div>
                                    <div class="form-group">
                                        <button type="submit">Inscription</button>
                                    </div>
                                </form>
                            </div>

                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

</section>

{% endblock %}